Bug 499813 - Package and ship 0.11.x
Package and ship 0.11.x
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jokosher (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 07:18 EDT by Michael Monreal
Modified: 2009-06-15 21:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0-0.5.20090604svn.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-05-08 07:18:59 EDT
Right now the latest Jokosher release available for Fedora is 0.4, which seams to be quite old.

Jokosher has seen two nice releases (0.11.0 and 0.11.1) this year. Besides tons of fixes and improvements, it features PulseAudio support which is very important to have for F11 imho.

Please update the package.
Comment 1 Christopher Brown 2009-05-09 03:40:08 EDT
Hi Micheal,

Where did you get the version number from? Current Jokosher is from svn snapshot, albeit October last year. I will update the snapshot anyway.

Thanks for the bug.

Regards
Chris
Comment 2 Michael Monreal 2009-05-09 04:05:08 EDT
(In reply to comment #1)
> Where did you get the version number from? Current Jokosher is from svn
> snapshot, albeit October last year. 
Latest build in Koji says "jokosher-1.0-0.5.20081012svn.fc11", I read that as an SVN version leading up to 0.5... didn't really pay attention to the date :)

> I will update the snapshot anyway.
Thanks!
Comment 3 Christopher Brown 2009-05-09 05:38:50 EDT
Hi Michael,

0.11.2 has some requirements that prevent me from updating the F10 package.

https://bugs.launchpad.net/jokosher/+bug/353797

However F11 + Rawhide should be good to go so will push that later today. In the meantime I've done a scratch build in koji for you:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1344793

Let me know how you go with it and if its all good I'll close off the bug after it gets pushed.

Cheers
Chris
Comment 4 Michael Monreal 2009-05-09 06:14:14 EDT
Thanks Chris, the RPM installs without problem. As for "working", well... I guess I need to still file a few bugs upstream, but at least Fedora is has a build that is up-to-date again.

I only wonder about the package name/version...

jokosher-1.0-0.5.20090509svn.fc11.noarch.rpm
-> jokosher-1.0-0.11.2.20090509svn.fc11.noarch.rpm maybe ?
Comment 5 Christopher Brown 2009-05-09 13:41:24 EDT
(In reply to comment #4)
> Thanks Chris, the RPM installs without problem. As for "working", well... I
> guess I need to still file a few bugs upstream, but at least Fedora is has a
> build that is up-to-date again.

The developers always appreciate bug reports. :)

> I only wonder about the package name/version...
> 
> jokosher-1.0-0.5.20090509svn.fc11.noarch.rpm
> -> jokosher-1.0-0.11.2.20090509svn.fc11.noarch.rpm maybe ?  

No. The 0.5 is part of the Release tag in the spec file. This gets bumped for every build that takes place from the source. Therefore if there was a mass rebuild as part of the F12 cycle, this would become 0.12.2, only increasing the confusion.

The 1.0 refers to the Version number and because the developers changed their mind and release 0.10 and 0.11 after I started doing snapshots from svn (now bzr), I'm sticking with the current convention. I could use Epochs but this isn't recommended and there is no over-riding reason to do so.

Regards
Chris
Comment 6 Matěj Cepl 2009-05-30 13:05:35 EDT
The build seems to be gone from koji. Where is it?
Comment 7 Michael Monreal 2009-05-30 13:14:38 EDT
FYI, the SVN revision that was packaged on koji had a bug that prevented new projects from being created correctly. IIRC this is fixed now in trunk, in case you want to update the package.
Comment 8 Christopher Brown 2009-05-30 17:30:48 EDT
Hi Matej, Michael,

I am intending to update this but only for releases > F11 and only after F11 is released as Jesse recently commented about the number of updates queued which could have been pushed previous to the freeze. I don't want to upset him :)

Michael - will update the bzr snapshot - thanks for tip.

Regards
Chris
Comment 9 Matěj Cepl 2009-05-31 12:49:48 EDT
(In reply to comment #8)
> I am intending to update this but only for releases > F11 and only after F11 is
> released as Jesse recently commented about the number of updates queued which
> could have been pushed previous to the freeze. I don't want to upset him :)

Well, I am generally all for RHEL-like access to updates (i.e., updating only to fix bugs), but in this case I would say that the development is so fast and older versions of jokosher so useless, I think upgrade wouldn't hurt. But, of course, it is your call.

Matěj
Comment 10 Christopher Brown 2009-06-04 16:17:39 EDT
Would love to but the requirements for the current code are only fulfilled by versions >= F11.

Michael - I am updating now but for F11 also and will publish the koji URL for you.
Comment 11 Fedora Update System 2009-06-04 17:44:15 EDT
jokosher-1.0-0.5.20090604svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.5.20090604svn.fc11
Comment 12 Christopher Brown 2009-06-04 17:49:13 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1394048

Bodhi will autoclose this bug in a few days...
Comment 13 Bug Zapper 2009-06-09 11:26:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora Update System 2009-06-15 21:24:07 EDT
jokosher-1.0-0.5.20090604svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.